#
#  <vesuvio.H Squeeze.x  box=2 > squeeze.H
# Smooth and decimate.
#
#%
integer n1, n2, n3, m1, m2, esize, box
real	o1, o2, d1, d2
from history:	integer n1,n2,n3=1, esize
from par:	integer box=2
if( esize != 8) 	call erexit('esize')
m1 = n1/box
m2 = n2/box
call putch('n1','i',m1)
call putch('n2','i',m2)
allocate: complex	datr( n1,n2)
allocate: complex  	sque( m1,m2)
from history:	real o1=0, d1=1
from history:	real o2=0, d2=1
call putch('d1','f',d1*box)
call putch('d2','f',d2*box)
call putch('o1','f',o1+d1*box/2.)
call putch('o2','f',o2+d2*box/2.)

subroutine fatty( box, datr, n1, n2, sque, m1,m2)
integer i1,i2,    box,       n1, n2,       m1,m2,  j1,j2
complex                datr( n1, n2),sque( m1,m2)


call sreed( 'in', datr, 8 * n1*n2 )

do j1= 1,m1 {
do j2= 1,m2 {
	        sque(j1,j2) = 0.
	do i1= 1, box
	do i2= 1, box
		sque(j1,j2)= sque(j1,j2) + datr( i1+box*(j1-1), i2+box*(j2-1))
	}}

call hclose()

call srite( 'out', sque, 8 * m1*m2)
return; end
