#  mount.x > mount.H
#
#%
integer n1, n2, n3, esize
from par:	integer n1=50,n2=50,n3=1, esize=4
allocate: real    hh(n1,n2)

subroutine doit( hh, n1, n2)
integer i,j,         n1, n2,  ih
real             hh( n1, n2), xr,yr,zr, x, radius, lag, alt
real		o1,d1,o2,d2
from par:	real d1=1, o1=-d1*n1/2.
from par:	real d2=1, o2=-d2*n2/2.
#from par:	real radius=5, lag=.2, alt=5.
from par:	real radius=10, lag=.3, alt=10.
					call null( hh, n1*n2)
do j= 1,n2   {	yr =  o2 + d2*(j-1)
	# On the 1-axis we double the range and cut step size by 3
do i= 1,n1*6 {	xr = -d1*n1 + d1*(i-1)/3.
	zr = alt * exp( - ( xr**2 + yr**2) / radius**2 ) 
	x = xr + zr*lag*n1*d1/radius
	x = xr + (zr-alt/2.)*lag*n1*d1/radius
	ih = 1.5 + (x-o1)/d1
	if( ih>0 && ih <=n1)
		if( hh(ih,j) < zr)
		    hh(ih,j) = zr
	}}
do i= 1,n1
do j= 1,n2
	hh(i,j) = hh(i,j)
call hclose()
call srite( 'out', hh, 4 * n1*n2)
return; end

