program cx2real
  !
  !  <hh.H real2cx.x freq=6. > synves.H
  !
  use sep

  implicit none
  integer 	                        :: n1, n2, n3, part
  real                                  :: freq
  complex, dimension (:,:), allocatable	:: data
  real,    dimension (:,:), allocatable	:: comp

  call sep_init ()
  call from_history (n1,n2)
  call from_history ("n3",n3,1)

  allocate (data (n1,n2))
  allocate (comp (n1,n2))

  call from_par ("freq",freq,6.)
  call to_history ("esize",8)
  call sep_close ()

  call sep_read (comp)

  data = cexp(cmplx(0.,freq*comp))

  call sep_write (data)

  call exit (0)
end program cx2real
