#
#  <vesuvio.H cx2real.x part=0 > amp.H
#  <vesuvio.H cx2real.x part=1 > phz.H
#  <vesuvio.H cx2real.x part=2 > real.H
#  <vesuvio.H cx2real.x part=3 > imag.H
#
#%
integer n1, n2, n3
from history:	integer n1,n2,n3=1
allocate: complex datr(n1,n2)
allocate: real    comp(n1,n2)

subroutine fatty( datr, n1, n2, comp)
integer i1,i2,          n1, n2,     esize, part
complex           datr( n1, n2)
real              comp( n1, n2)
from par: 	integer part=0

call sreed( 'in', datr, 8 * n1*n2)

do i1= 1,n1 {
do i2= 1,n2 {
	if(      part == 0)
		comp(i1,i2) = sqrt( sqrt( cabs( datr(i1,i2) )  ) )

	else if( part == 1) 
		comp(i1,i2) = atan2( aimag(datr(i1,i2)), real(datr(i1,i2)) )

	else if( part == 2) 
		comp(i1,i2) = real(datr(i1,i2))

	else if( part == 3) 
		comp(i1,i2) = aimag(datr(i1,i2))

	else if( part == 4) 
		comp(i1,i2) = atan2( -aimag(datr(i1,i2)), -real(datr(i1,i2)) )
	else
		call seperr('no part')
	}}

call putch('esize','i',4)

call hclose()

call srite( 'out', comp, 4 * n1*n2)
return; end
