# amazing 2/3 of random complex numbers have phase that integrates to zero
# when going around a box.

complex a,b,c,d
real f1,f2,g2,g2, rand01, qual
integer iseed, i, small, medium, large, other
iseed = 1996

small 	= 0
medium 	= 0
large 	= 0

do  i= 1, 100000 {

	a = cexp(cmplx( 0., cmplx( 6.28 *rand01(iseed))))
	b = cexp(cmplx( 0., cmplx( 6.28 *rand01(iseed))))
	c = cexp(cmplx( 0., cmplx( 6.28 *rand01(iseed))))
	d = cexp(cmplx( 0., cmplx( 6.28 *rand01(iseed))))

	a = cmplx( rand01(iseed)-.5 , rand01(iseed)-.5 )
	b = cmplx( rand01(iseed)-.5 , rand01(iseed)-.5 )
	c = cmplx( rand01(iseed)-.5 , rand01(iseed)-.5 )
	d = cmplx( rand01(iseed)-.5 , rand01(iseed)-.5 )

	f1 = aimag( clog( c * conjg( a) ) )
	f2 = aimag( clog( d * conjg( b) ) )
	g1 = aimag( clog( b * conjg( a) ) )
	g2 = aimag( clog( d * conjg( c) ) )

	qual =  (f2-f1) - (g2-g1) 

	if(      qual > -7 && qual < -6 )
					small = small + 1
	else if( qual >  6 && qual <  7 )
					large = large + 1
	else if( qual >-.1 && qual <  .1 )
					medium = medium + 1
	else
		other = other + 1
#	print *, qual
	}

print *, small, medium, large, other
stop; end
